%define upstream_name    Device-Gsm
%define upstream_version 1.61

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Interface gsm handphones and  modems
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Device/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Device::Modem) >= 1.470.0
BuildRequires: perl(Device::SerialPort)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch
Provides: perl(Device::Gsm::Sms::Structure)
Provides: perl(Device::Gsm::Sms::Token)
Provides: perl(Device::Gsm::Sms::Token::OA)
Provides: perl(Device::Gsm::Sms::Token::PDUTYPE)
Provides: perl(Device::Gsm::Sms::Token::SCA)
Provides: perl(Device::Gsm::Sms::Token::UDH)

%description
'Device::Gsm' class implements basic GSM functions, network registration
and SMS sending.

This class supports also 'PDU' mode to send 'SMS' messages, and should be
fairly usable. In the past, I have developed and tested it under Linux
RedHat 7.1 with a 16550 serial port and Siemens C35i/C45 GSM phones
attached with a Siemens-compatible serial cable. Currently, I'm developing
and testing this stuff with Linux Slackware 10.2 and a *Cambridge Silicon
Radio* (CSR) USB bluetooth dongle, connecting to a Nokia 6600 phone.

Please be kind to the universe and contact me if you have troubles or you
are interested in this.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.610.0-6.mga10
+ Revision: 2203569
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.610.0-5.mga9
+ Revision: 1808804
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.610.0-4.mga8
+ Revision: 1503863
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.610.0-3.mga7
+ Revision: 1282947
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.610.0-2.mga7
+ Revision: 1164071
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 sander85 <sander85> 1.610.0-1.mga7
+ Revision: 1155556
- update to 1.61

* Sun Jun 19 2016 pterjan <pterjan> 1.600.0-8.mga6
+ Revision: 1025690
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.600.0-7.mga6
+ Revision: 946190
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.600.0-6.mga5
+ Revision: 746520
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.600.0-5.mga5
+ Revision: 732794
- add missing provides

* Tue Sep 16 2014 umeabot <umeabot> 1.600.0-4.mga5
+ Revision: 684349
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.600.0-3.mga4
+ Revision: 510872
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.600.0-2.mga3
+ Revision: 365877
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 28 2012 kharec <kharec> 1.600.0-1.mga3
+ Revision: 248632
- update to 1.60

* Sun Nov 27 2011 kharec <kharec> 1.580.0-1.mga2
+ Revision: 173050
- imported package perl-Device-Gsm


* Sun Nov 27 2011 cpan2dist 1.58-1mga
- initial mageia release, generated with cpan2dist
